# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"ddc"
	#Load	"extmod"
	SubSection "extmod"
		Option "omit XVideo-MotionCompensation"
		Option "omit XVideo"
	EndSubSection
	Load	"freetype"
	Load	"glx"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"gb"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"nVidia Corporation G70 [GeForce 7300 GT]"
	Driver		"nvidia"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
	HorizSync	30-130
	VertRefresh	50-160
	#Toshiba WLT66 modes
Modeline "1920x1080@30"	74.250 1920 2008 2052 2200 1080 1084 1094 1124 interlace +hsync +vsync
Modeline "1920x1080@25"	74.250 1920 2448 2492 2640 1080 1148 1158 1124 interlace +hsync +vsync
Modeline "1920x540@60"	74.250 1920 2008 2052 2200 540 542 547 562 +hsync +vsync
Modeline "1920x540@50"	74.250 1920 2448 2492 2640 540 574 579 562 +hsync +vsync
Modeline "1280x720@50"	74.250 1280 1720 1760 1980 720 741 746 750 +hsync +vsync
Modeline "720x576@50"	27.000 720 732 796 864 576 581 586 625 -hsync -vsync
Modeline "720x480@60"	27.000 720 736 798 858 480 489 495 525 -hsync -vsync

	# DTV-PCTweakedModes
ModeLine "NTSC-59.94i"		14.35 768 808 864 912 483 485 491 525 Interlace
ModeLine "NTSC-59.94p"		28.699 768 808 864 912 483 485 491 525
ModeLine "NTSC-DVD-59.94i"	13.469 720 760 816 856 480 482 488 525 Interlace
ModeLine "NTSC-DVD-60i"		13.482 720 760 816 856 480 482 488 525 Interlace
ModeLine "NTSC-DVD-59.94p"	26.937 720 760 816 856 480 482 488 525
ModeLine "NTSC-DVD-60p"		26.964 720 760 816 856 480 482 488 525
ModeLine "NTSC-DVD-71.93p"	32.324 720 760 816 856 480 482 488 525
ModeLine "NTSC-DVD-72p"		32.357 720 760 816 856 480 482 488 525
ModeLine "ATSC-480-59.94p"	23.916 640 664 736 760 480 482 488 525
ModeLine "ATSC-480-60p"		23.94 640 664 736 760 480 482 488 525
ModeLine "ATSC-480-71.93p"	28.699 640 664 736 760 480 482 488 525
ModeLine "ATSC-480-72p"		28.728 640 664 736 760 480 482 488 525
ModeLine "ATSC-720-59.94p"	74.086 1280 1320 1376 1648 720 722 728 750
ModeLine "ATSC-720-60p"		74.16 1280 1320 1376 1648 720 722 728 750
ModeLine "ATSC-720-71.93p"	88.903 1280 1320 1376 1648 720 722 728 750
ModeLine "ATSC-720-72p"		88.992 1280 1320 1376 1648 720 722 728 750
ModeLine "ATSC-1080-59.94i"	74.176 1920 1960 2016 2200 1080 1082 1088 1125 Interlace
ModeLine "ATSC-1080-60i"	74.25 1920 1960 2016 2200 1080 1082 1088 1125 Interlace
ModeLine "ATSC-1080-59.94p"	148.352 1920 1960 2016 2200 1080 1082 1088 1125
ModeLine "ATSC-1080-60p"	148.5 1920 1960 2016 2200 1080 1082 1088 1125
ModeLine "ATSC-1080-71.93p"	178.022 1920 1960 2016 2200 1080 1082 1088 1125
ModeLine "ATSC-1080-72p"	178.2 1920 1960 2016 2200 1080 1082 1088 1125
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"nVidia Corporation G70 [GeForce 7300 GT]"
	Monitor		"Generic Monitor"
	Option "IgnoreDisplayDevices" "CRT"
	Option "UseEdidFreqs" "false"

	#Option "ExactModeTimingsDVI" "true"
	#Option "ModeValidation" "AllowInterlacedModes, NoMaxPClkCheck, NoHorizSyncCheck, NoEdidDPFMaxSizeCheck, NoVesaModes, AllowNon60HzDFPModes;"
	DefaultDepth	24
	SubSection "Display"
		Depth		24
		Modes		"1920x1080"
		#Modes		"1920x1080" "1920x1080@30" "1920x1080@25" "1920x540@60" "1920x540@50" "1280x720@50" "720x576@50" "720x480@60" "NTSC-59.94i"		

		#Modes "ATSC-1080-72p" "ATSC-1080-71.93p" "ATSC-1080-60p" "ATSC-1080-59.94p" "ATSC-1080-60i" "ATSC-1080-59.94i" "ATSC-720-72p" "ATSC-720-71.93p" "ATSC-720-60p" "ATSC-720-59.94p" "ATSC-480-72p" "ATSC-480-71.93p" "ATSC-480-60p" "ATSC-480-59.94p" "NTSC-DVD-72p" "NTSC-DVD-71.93p" "NTSC-DVD-60p" "NTSC-DVD-59.94p" "NTSC-DVD-60i" "NTSC-DVD-59.94i" "NTSC-59.94p"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection
